First example on python intro fails

I’ve installed a local version of quantrocket but the first python example in Python-Intro.ipynb fails. I have entered my license key. I tried other exchange codes and none of them work either.

EDIT: Installation on a different machine fails with the same issue. First machine is a server running Ubuntu 20.04. Second is my laptop running Ubuntu 18.04.

list_calendar_statuses(exchanges=“XNYS”)

HTTPError Traceback (most recent call last)
in
----> 1 list_calendar_statuses(exchanges=“XNYS”)

/opt/conda/lib/python3.7/site-packages/quantrocket/master.py in list_calendar_statuses(exchanges, sec_type, in_, ago, outside_rth)
1052
1053 response = houston.get("/master/calendar", params=params)
-> 1054 houston.raise_for_status_with_json(response)
1055 return response.json()
1056

/opt/conda/lib/python3.7/site-packages/quantrocket/houston.py in raise_for_status_with_json(response)
204 e.json_response = {}
205 e.args = e.args + (“please check the logs for more details”,)
–> 206 raise e
207
208 # Instantiate houston so that all callers can share a TCP connection (for

/opt/conda/lib/python3.7/site-packages/quantrocket/houston.py in raise_for_status_with_json(response)
196 “”"
197 try:
–> 198 response.raise_for_status()
199 except requests.exceptions.HTTPError as e:
200 try:

/opt/conda/lib/python3.7/site-packages/requests/models.py in raise_for_status(self)
938
939 if http_error_msg:
–> 940 raise HTTPError(http_error_msg, response=self)
941
942 def close(self):

HTTPError: (‘400 Client Error: BAD REQUEST for url: http://houston/master/calendar?exchanges=XNYS’, {‘status’: ‘error’, ‘msg’: ‘no exchanges matching XNYS’})

Querying the calendar now works, after downloading securities master information from IB and for us-stock. If this is the intended behavior, it would be good to update the quickstart notebook to let first-time users know they have to populate the securities master manually before running the python examples.

Thanks for pointing out this wrinkle – a bad first impression for new users. The latest patch release includes a fix.